SELFDIR    = $(dir $(lastword $(MAKEFILE_LIST)))
ROOTDIR   := $(SELFDIR)
VERSION   ?= $(shell PYTHONPATH=$(ROOTDIR)/cli python -c \
		'print(__import__("lmi.shell", fromlist=["__version__"]).__version__)')
TEMPLATES := $(shell find $(ROOTDIR) -name '*.py.skel')
TARGETS   := $(basename $(TEMPLATES))

.PHONY: setup clean-setup

setup: $(TARGETS)
	@echo "Written setup scripts with tools version = $(VERSION)."

%.py: %.py.skel
	sed 's/@@VERSION@@/$(VERSION)/g' <$? >$@

clean-setup:
	rm -rf $(TARGETS)

# ex: ft=make noet sw=8 ts=8
