Documentation
=============
This directory contains usage and developer documentation.
It's available online on [pythonhosted][].

How to build
------------
Supported builds are *html*, *pdflatex*, *epub* and *rtd*.

*rtd* build is similar to *html*, i.e. generates html files, however these
files are intended to be included in overall OpenLMI documentation on
readthedocs.org. It ommits several chapters, which would clutter navigation.

### Requirements

  * `bash`
  * `GNU make`
  * `setuptools` - provided by package `python-setuptools`
  * `sphinx-build` - provided by package `python-sphinx`
  * `python-sphinx-theme-openlmi` - is a package for fedora

The last item can be obtained from OpenLMI providers' git [repository][theme].
This directory needs to be saved in a place where `sphinx-build` can find it.
On Fedora it's `/usr/lib/python2.7/site-packages/sphinx/themes/`.

### Steps
There are two kinds of builds available. One containing documentation of `lmi`
command libraries and one with just references to them to external sources.
Following examples will generate only *html* documentation, to make any other
just replace the `html` argument with prefered one.

#### Without commands documentation
This build is the preferred one for Python Hosted site.

    # run in this directory
    make html

#### With commands documentation
This build includes documentation of [OpenLMI Scripts][].

    ln -sf path/to/local/copy/of/openlmi-scripts openlmi-scripts
    pushd openlmi-scripts
    make setup              # make sure that setup scripts exist
    popd
    WITH_COMMANDS=1 make html

How to upload
-------------
First build it (see the section above).
Then run:

    cd ../cli
    python setup.py upload_docs

[pythonhosted]: http://pythonhosted.org/openlmi-tools/index.html
[theme]:        https://fedorahosted.org/openlmi/browser/openlmi-providers/tools/openlmitheme
[OpenLMI Scripts]: https://github.com/openlmi/openlmi-scripts
